import pytest
import yaml

@pytest.fixture(scope="module",
                params=['test/streaming-sim/rspec.yml'])
def streaming_sim_config(request):
    """Returns the service configuration deployed for the streaming simulation test. In future this needs to be a parameterised fixture shared with other rspec.yml based tests"""
    print(request.param)
    with open(request.param, 'r') as stream:
        data_loaded = yaml.load(stream)
    return data_loaded