import pytest
import os

def test_service_names(streaming_sim_config):
    print(streaming_sim_config['hosts'][0]['name'])
    assert streaming_sim_config['hosts'][0]['name'] == 'clmc-service'
    assert streaming_sim_config['hosts'][1]['name'] == 'ipendpoint1'
    assert streaming_sim_config['hosts'][2]['name'] == 'ipendpoint2'            

def test_ping(streaming_sim_config):
    """This test will only run on linux due to using os.system library"""
    for x in streaming_sim_config['hosts']:
        print(x['ip_address'])
        response = os.system("ping -c 1 " + x['ip_address'])
        assert response == 0     
    
